// ************************************************
// SmVR_CObjFromFile.h
//	Define the VIRTUAL class that reads
//	geometric objects
//
//  Author: Marcio Serolli Pinho
//	Email: pinho@inf.pucrs.br
//	Homepages:
//		http://www.smallvr.org
//		http://grv.inf.pucrs.br
//		http://www.inf.pucrs.br/~pinho
//
//	Porto Alegre, Brazil, 2002.
// ************************************************

#ifndef _SmVR_CObjFromFile_
#define _SmVR_CObjFromFile_

#include "SmVR_CPoint.h"
#include "SmVR_Matrix.h"

class SmVR_CObjFromFile {

	public:
		virtual ~SmVR_CObjFromFile(void);
		virtual int Load(char *);
		virtual int Load(char *, int useRAPID);
		virtual void Render(void);
		virtual void GetBoundaries(SmVR_CPoint *min, SmVR_CPoint *max);
		virtual int Collided(SmVR_CObjFromFile *obj,SmVR_Matrix mtx1,SmVR_Matrix mtx2,int mode);
		char *GetFileName();
    private:
        char *FileName;		

};


#endif


